2005-12-29 Klaus Niederkrüger <kniederk@math.uni-koeln.de>
	* Fixed BUG 116835, BUG 118300, BUG 118909

2005-10-?? Klaus Niederkrüger <kniederk@math.uni-koeln.de>
	* Added arbitrary precision

2005-04-30 Klaus Niederkrüger <kniederk@math.uni-koeln.de>
	* Fix BUG 100316

2005-04-25 Klaus Niederkrüger <kniederk@math.uni-koeln.de>
        * Fix BUG 99817.

2005-04-20 Klaus Niederkrüger <kniederk@math.uni-koeln.de>
	* Change C-style casts for C++ casts, removed some C-style typedefs

2005-04-02 Klaus Niederkrüger <kniederk@math.uni-koeln.de>
	* GUI: added statusflags to display, looks very neat (this was
	  contributed by Bernd Brandstetter; well done!)

2005-03-30 Klaus Niederkrüger <kniederk@math.uni-koeln.de>
	* added a Memory-Store button (contributed by Bernd Brandstetter)

2005-03-29 Klaus Niederkrüger <kniederk@math.uni-koeln.de>
	* fix M+/- button to change when inverse is pressed

2005-03-08 Evan Teran <eteran@alum.rit.edu>
	* updated about box to reflect my correct email address. This one is 
	permanent and will never change again
	  
2005-02-05 Klaus Niederkrüger <kniederk@math.uni-koeln.de>
	* fix BUG 98522: M- button did not work at least since KDE-3.2. Shame on me, and thanks to
	  Bernd Brandstetter for reporting the bug.

2004-12-21 Klaus Niederkrüger <kniederk@math.uni-koeln.de>
	* added some more contants and dropped Pi-button since not needed.
	  Instead new cube and cube root button.

2004-12-17 Klaus Niederkrüger <kniederk@math.uni-koeln.de>
	* almost finished feature which allows to choose from list
	  of scientific constants

2004-12-17 Klaus Niederkrüger <kniederk@math.uni-koeln.de>
        * started implementation of a list of scientific constants

2004-12-06 Klaus Niederkrüger <kniederk@math.uni-koeln.de>
	* further refactoring of configuration options for const buttons

2004-12-05 Klaus Niederkrüger <kniederk@math.uni-koeln.de>
	* understood how tdeconfigxt handles indexed configuration options

2004-12-03 Klaus Niederkrüger <kniederk@math.uni-koeln.de>
	* moving through history is now done via undo/redo
	  this implements wish BUG 93938
	
2004-11-23 Klaus Niederkrüger <kniederk@math.uni-koeln.de>
	* improved const buttons

2004-10-20 Klaus Niederkrüger <kniederk@math.uni-koeln.de>
	* clean up Const-Buttons. More work still required.

2004-10-16 Klaus Niederkrüger <kniederk@math.uni-koeln.de>
	* improve Const-Buttons: set value by using INV-Button instead of config-menu

2004-09-24 Klaus Niederkrüger <kniederk@math.uni-koeln.de>
        * fixed BUG 90009: the display does not resize in vertical direction anymore

2004-09-24 Klaus Niederkrüger <kniederk@math.uni-koeln.de>
        * fixed small bug: switching off Logic-mode tried to change item in statusbar,
          but item did not exist.

2004-09-11 Klaus Niederkrüger <kniederk@math.uni-koeln.de> *
	* fix bug 82433: show a check mark next to the angle mode in popup menu
	
2004-09-10 Klaus Niederkrüger <kniederk@math.uni-koeln.de> *
	* bundle precedence of operators and function pointers into a single
	  struct.
	
2004-09-08 Klaus Niederkrüger <kniederk@math.uni-koeln.de>
	* moved angle mode logic into GUI

2004-09-04 Klaus Niederkrüger <kniederk@math.uni-koeln.de>
	* reduced the number of entry points into the CalcEngine
	  Aim: enterOperation the only entry point

2004-08-2? Klaus Niederkrüger <kniederk@math.uni-koeln.de>
	* added some labels and tooltips for inverse mode

2004-08-2? Klaus Niederkrüger <kniederk@math.uni-koeln.de>
	* fix to BUG 74657
	* fix to BUG 78726

2004-07-30 Klaus Niederkrüger <kniederk@math.uni-koeln.de>
	* Square root button did not work correctly after pressing CTRL (Bug 86004)

2004-07-30 Klaus Niederkrüger <kniederk@math.uni-koeln.de>
	* Added Accels for Const-Buttons

2004-07-29 Klaus Niederkrüger <kniederk@math.uni-koeln.de>
	* Fixed BUG 67984 (thanks to André Wöbbeking)
	
2004-07-17 Klaus Niederkrüger <kniederk@math.uni-koeln.de>
	* Fixed BUG 85357
	
2004-06-05 Klaus Niederkrüger <kniederk@math.uni-koeln.de>
	* It was not possible to paste a hex-number starting with "0x" in hex-mode, because hex-mode
	  prepended automatically "0x" leading to "0x0x...".
	
2004-05-16 Klaus Niederkrüger <kniederk@math.uni-koeln.de>
	* Refactored a bit the kcalc_button code. In particular use Richtext only, when needed (a bit faster,
	  but a lot still to be done).
	
2004-05-04 Klaus Niederkrüger <kniederk@math.uni-koeln.de>
	* Masked "&" for the label of the AND button, when displaying the corresponding accel.
	  Thanks to Sigrid from Trolltech.
	
2004-04-27 Klaus Niederkrüger <kniederk@math.uni-koeln.de>
	* Buttons have now their own modes (like inverse Mode etc.)
	This allows moving tooltips and labels into kcalc_button.cpp
	instead of having everything in kcalc.cpp.
	This needs to be cleaned up and the tooltips and labels should be
	revised.
	
2004-04-05 Klaus Niederkrüger <kniederk@math.uni-koeln.de>
	* Changed accel for OR-button from "O" to "|"
	* More accels are visible, when "Ctrl" is used
	* disable some buttons like "Sin", "Cos" etc., when not
	  in decimal mode
	
2004-04-05 Klaus Niederkrüger <kniederk@math.uni-koeln.de>
	* Pasted numbers in Hex-Mode are now always interpreted as
	  hex-numbers (BUG 65167).

2004-03-26 Klaus Niederkrüger <kniederk@math.uni-koeln.de>
	* Centered labels on buttons
	
2004-03-24 Klaus Niederkrüger <kniederk@math.uni-koeln.de>
	* Press (and hold) CTRL-key to see accels for all
	buttons (BUG 69850).
	
2004-03-19 Klaus Niederkrüger <kniederk@math.uni-koeln.de>
	* Labels like e.g. "x^y" are drawn with QSimpleRichText
	  Need to center the labels better!!
	* KCalcButton supports now two different labels, one for normal, one
	  for inverse mode. Switch between the two happens via a signal.
	
2004-03-11 Klaus Niederkrüger <kniederk@math.uni-koeln.de>
	* Moved functions that paint e.g. "x^y" to the KCalcButton-class.
	
2004-03-01 Klaus Niederkrüger <kniederk@math.uni-koeln.de>
	* Created class KCalcButton, which is now used for all QPushButtons.
	  This will allow later to change the labels more easily, if INV is
	  pressed, and mucho more...
	
2004-02-25 Thomas Weber
	* "x^2" and "x^y"-buttons have now superscripted labels
	* pressing "INV"-button changes "x^2"-button to square-root etc.
	
2004-02-25 Klaus Niederkrüger <kniederk@math.uni-koeln.de>
	* Changed many accels from "accel()->insert()" to
	  "button->addAccel()". Fixes BUG 75555.
	* deactivate EE-button, when Base != DEC  
	
2004-02-10 Klaus Niederkrüger <kniederk@math.uni-koeln.de>
	* First step to fix bug 66397. Changing Basemode via Popupmenu is
	  too clumsy for most programmers. Maybe backport to KDE 3.2 later,
	  once it has been tested. GUI does not look nice.
	
2004-02-06 Klaus Niederkrüger <kniederk@math.uni-koeln.de>
	* Fixed bug 73437. Pasting empty clipboard made kcalc crash.

2004-02-04 Klaus Niederkrüger <kniederk@math.uni-koeln.de>
	* Moved more accels from keyPressEvent into accels
	
2004-01-27 Klaus Niederkrüger <kniederk@math.uni-koeln.de>
        * Fix paste-function: Pasting e.g. "123  \n" did not work
          because of the trailing spaces and returns.

2004-01-25 Klaus Niederkrüger <kniederk@math.uni-koeln.de>
	* Applied patch from Thomas Weber: Creates buttons C1-C6
	  to store constants

2003-12-06 Klaus Niederkrüger <kniederk@math.uni-koeln.de>
	* Fix problem with several identical labels in statusbar
	  with the help of newly added statusbar->hasItem.

2003-12-06 Klaus Niederkrüger <kniederk@math.uni-koeln.de>
	* Make Percent work the way it did in KDE-3.1 again (documentation
	  was not updated to this KDE-version, which confused me on 2003/08/28)
	
2003-11-04 Klaus Niederkrüger <kniederk@math.uni-koeln.de>
	* More reorganization and preparation for getting accels right.

2003-10-31 Klaus Niederkrüger <kniederk@math.uni-koeln.de>
	* Split Constructor into more subfunctions.
	  To be continued.
	
2003-10-20 Klaus Niederkrüger <kniederk@math.uni-koeln.de>
	* At last the calculator window resizes, when buttons are hidden/shown
	* Added a few extra buttons to "fill gaps".
	
2003-10-14 Klaus Niederkrüger <kniederk@math.uni-koeln.de>
	* RadioButtons for Base and Angle converted to PopUpMenu+Button
	* Layout changed
	* Moved ENTER form keyPressedEvent to Accel()

2003-10-10 Klaus Niederkrüger <kniederk@math.uni-koeln.de>
	* Number buttons look like numeric keyboard (on US-keyboards that is)
	* Initialize ToggleActions correctly
	
2003-10-09 Klaus Niederkrüger <kniederk@math.uni-koeln.de>
	* Reverted the menubar stuff after several complaints.
	  Now Kcalc-GUI looks again like on 2003-09-11.
	
2003-09-30 Klaus Niederkrüger <kniederk@math.uni-koeln.de>
	* Fixed bug (unitialized pointers)
	
2003-09-26 Klaus Niederkrüger <kniederk@math.uni-koeln.de>
	* Moved all type of buttons to menubars, which can be hidden/showed
	  via the menubar. This is quite experimental and full of bugs.
	
2003-09-11 Klaus Niederkrüger <kniederk@math.uni-koeln.de>
	* Button groups can be switch on/off via actions.
	  This is not yet the final GUI-Layout (yes, it looks broken).
	* Accordingly the Stat/Trig-mode has been deleted from
	  configure window.

2003-09-11 Klaus Niederkrüger <kniederk@math.uni-koeln.de>
	* deleted a few #includes
	
2003-09-02 Klaus Niederkrüger <kniederk@math.uni-koeln.de>
	* dropped configure-button and Help-button
	* created menubar with standard-actions
	* ConfigDialog is not modal anymore
	* copy/paste/cut-standard actions applied to calc_display
	
2003-08-28 Klaus Niederkrüger <kniederk@math.uni-koeln.de>
	* created Pi-button and moved Inv-button to make space for it
	* label of "."-button is now localized
	* Caption is set via signal/slots
	* Fixed "%"-mode to make it again more conformant with documentation.
	  "x^y%" does still not work. Did it ever?
	* Number-keys are now handled by TDEAccel instead of keyPressEvent
	* ConfigDialog is modal

2003-08-27 Klaus Niederkrüger <kniederk@math.uni-koeln.de>
	* moved result_history from CalcEngine into DispLogic
	* reactivation of rounding towards zero for cos(90) etc.
	* quit is done in a more KDE conformant way
	* Caption is set via slots etc.
	
2003-08-12 Klaus Niederkrüger <kniederk@math.uni-koeln.de>
	* continued separation: now display is independent class and
	  handles everything related to itself.
	  GUI passes only information between core and display.
	
2003-08-04 Klaus Niederkrüger <kniederk@math.uni-koeln.de>
	* finished the separation of gui-code from the calculating core.
	  this still needs some clean-up
	
2003-02-11 Evan Teran <emt3734@rit.edu>
	* replaced cheasy stack with STL stack classes (it really should have been
	  two stacks, but was mushed into one with a linked list dividing content)
	* made it use new headers (no .h) when _ISOC99_SOURCE is defined
	* added replace current gui code with ui files to TODO list

2002-05-10 Evan Teran <emt3734@rit.edu>
	* altered makefile to remove building of it as a library then linking that
	to a dummy object file, this was silly and caused inclusion of an uneeded
	source file
	* bumped version to reflect new options dialog, next version will be 2.0.0
	as it will have many new changes/features

2002-03-11 Evan Teran <emt3734@rit.edu>
	* started work on making calculator code _seperate_ from the
	gui code, the goal here is the make the calculating core
	replacable with any library (hopfully with better precision) simply by
	wrapping it in a class
	* made it some many buttons are disabled when unavailabled (A-F) not enabled
	unless we are in HEX mode, less confusion for users who arent familiar with
	different bases
	* removed some code that is never getting called
	* why oh why are exceptions disabled in the standard config, I would like to
	use them :(
	
2001-10-18 Evan Teran <emt3734@rit.edu>
	* removed configdlg.* from source tree as it is not part of the compile
	* changed options dialog to use smarter layouts, and also fixed spinbox
	size problem so they are now usable
	* synced changed I made to the KDE 2.2.1 release version to match CVS
	version which compiles under KDE 3.0 w/ QT 3.0.0
	* made sure the clear (clear entry) button functioned properly, my minor
	change before broke it in some situations


2001-10-12 Evan Teran <emt3734@rit.edu>
	* Reorganized code for all files, much more consistant now
	* completely reworked the cvb (convert to binary) function
	it now is sane, the last one did a rediculous amount of
	unneeded work
	* changed C/C++ headers to use new style as per ANSI/ISO 
	standard
	* removed fontdlg.cpp/h from tree, not even used in compile :P
	* made binary mode 32-bit
	* reorganized UpdateDisplay code to make more sense
	* found possible nasty memleak in EnterEqual
	* now use my UNUSED macro to perform (void)var on unused parameters
	to avoid compile warnings, much more readable this way
	* merged setXXX functions to angle_selected/base_selected
	then removed the setXXX functions as they no longer have any purpose
	* changed a ton of code to use true C++ bools, makes logic
	more clear
	* made cvb a static member of QtCalculator instead of an ugly global
	function
	* changed history to use a simple vectory object instead of the storing
	the values in a dynamically allocated QList, it was clearly leaking memory
	as it was almost never released, this could have been fixed by enabling the
	autodelete feature of QList...but why dynamically allocate when we are
	storing numerical values?!? simple array with an int as an iterator :)
	* changed error trapping from C style signal trapping, rather use exceptions
	much cleaner that way
	* removed un-used TopOfStack function
	* fixed ability to enter a decimal point when in hex/oct/bin mode, those are
	integer value only modes
	* fixed problem with entering multiple decimal points in decimal mode
	* changed CALCAMNT to be defined by a typedef, I did notice that at least my
	C++ math headers are broken...functions like cos should (by newest
	standards) use float, double, or long double versions automatically based on
	datatype, however mine (Redhat 7.1) seems to only have the old double
	versions, and have alternate names for these functions
	* fixed the fact that the normal clear button seemingly did nothing


1999-08-22  Bernd Johannes Wuebben  <wuebben@math.cornell.edu>

	* kcalc_core.cpp (UpdateDisplay): 
	Re-enabled the use of long double. Most if not all distributions
	come now with a working glib math library. 

Mon Nov 16 18:05:01 1998  Mario Weilguni <mweilguni@kde.org>

	* There was an error in the stdev forumal. Fixed.
	* the population standard deviation had the same fault. Fixed.

Mon Nov 16 18:05:01 1998  Mario Weilguni <mweilguni@kde.org>

	* calculation the facturial of a too large number was delayed,
	even though infinity was already reached. Now kcalc stops
	calculation if infinity is reached and displays an error

Mon May  4 06:28:09 1998  Bernd Johannes Wuebben  <wuebben@math.cornell.edu>

	* Added the comma key as an accelerator for '.'

Sat Apr 18 16:26:52 1998  Bernd Johannes Wuebben  <wuebben@math.cornell.edu>

	* Some inverse functions didn't compute right. Wonder who broke them.

Sun Feb  8 16:11:34 1998  Bernd Johannes Wuebben  <wuebben@math.cornell.edu>

	* removed a compiler warning

Sat Nov 22 14:30:37 1997  Bernd Johannes Wuebben  <wuebben@petit.cornell.edu>

	* stats.cpp: fixed some bugs in the stats module
	  mean should now be correct
	  std  shoudl now be correct too.

Sat Sep 20 23:59:30 1997  Bernd Johannes Wuebben  <wuebben@petit.cornell.edu>

	* kcalc.cpp: Added statistical functions

Mon Sep 15 00:34:58 1997  Bernd Johannes Wuebben  <wuebben@petit.cornell.edu>

	* added cut and pasted functionality
	* implemented EE 
	* implemented result stack
	* implemented precision and fixed precision 
	* added key bindings
	* tooltips
	* added configuration dialog
	

Sat Aug  2 22:06:59 1997  Bernd Johannes Wuebben  <wuebben@petit.cornell.edu>

	* kcalc.h: clean up
	

